/*
Theme Name:   janseskuld
Theme URI:    http://lucidity.design
Description:  This is a custom child theme of Divi.
Author:       Richard George Davis
Author URI:   http://lucidity.design
Template:     Divi
Version:      2.0.0
License:      GNU General Public License v2 or later
License URI:  http://www.gnu.org/licenses/gpl-2.0.html
*/
/*-- [   START - root   ] ---*/
:root {
  --color-1: #ff8027;
  --color-2: #f8f9fa;
  --color-3: #ffa123;
  --color-4: #333333;
  --color-5: #555555;
  --size-alt-h1: clamp(5rem, calc(5rem + ((1vw - 0.36rem) * 1.087)), 6rem);
  --size-alt-h2: clamp(4rem, calc(4rem + ((1vw - 0.36rem) * 0.5435)), 4.5rem);
  --size-alt-h3: clamp(3rem, calc(3rem + ((1vw - 0.36rem) * 0.5435)), 3.5rem);
  --size-alt-h4: clamp(2.5rem, calc(2.5rem + ((1vw - 0.36rem) * 0.5435)), 3rem);
  --size-alt-h5: clamp(2rem, calc(2rem + ((1vw - 0.36rem) * 0.5435)), 2.5rem);
  --size-alt-p: clamp(1.4rem, calc(1.4rem + ((1vw - 0.36rem) * 0.2174)), 1.6rem);
  --size-alt2-h1: clamp(4rem, calc(4rem + ((1vw - 0.36rem) * 1.2821)), 6rem);
  --size-alt2-h2: clamp(3.2rem, calc(3.2rem + ((1vw - 0.36rem) * 0.7692)), 4.4rem);
  --size-alt2-h3: clamp(2.4rem, calc(2.4rem + ((1vw - 0.36rem) * 0.7692)), 3.6rem);
  --size-alt2-p: clamp(1.4rem, calc(1.4rem + ((1vw - 0.36rem) * 0.2564)), 1.8rem);
  --space-zero: clamp(0rem,-0.02rem + 0.11vw,0.0625rem);
  --space-2xs: clamp(0.25rem,0.16rem + 0.43vw,0.5rem);
  --space-xs: clamp(0.75rem,0.71rem + 0.22vw,0.875rem);
  --space-s: clamp(1rem,0.96rem + 0.22vw,1.125rem);
  --space-m: clamp(1.5rem,1.43rem + 0.33vw,1.6875rem);
  --space-l: clamp(2rem,1.91rem + 0.43vw,2.25rem);
  --space-xl: clamp(3rem,2.87rem + 0.65vw,3.375rem);
  --space-2xl: clamp(4rem,3.83rem + 0.87vw,4.5rem);
  --space-3xl: clamp(5rem,4.78rem + 1.09vw,5.625rem);
  --space-4xl: clamp(6rem,5.74rem + 1.30vw,6.75rem);
  --space-xs-s: clamp(0.75rem,0.62rem + 0.65vw,1.125rem);
  --space-s-m: clamp(1rem,0.76rem + 1.20vw,1.6875rem);
  --space-s-l: clamp(1rem,0.57rem + 2.17vw,2.25rem);
  --space-m-l: clamp(1.5rem,1.24rem + 1.30vw,2.25rem);
  --space-l-xl: clamp(2rem,1.52rem + 2.39vw,3.375rem);
  --space-xl-2xl: clamp(3rem,2.48rem + 2.61vw,4.5rem);
  --space-2xl-3xl: clamp(4rem,3.43rem + 2.83vw,5.625rem);
  --space-3xl-4xl: clamp(5rem,4.39rem + 3.04vw,6.75rem);
  --size-base: clamp(1rem,0.96rem + 0.22vw,1.125rem);
  --size-step-5: clamp(0.8125rem,0.79rem + 0.11vw,0.875rem);
  --size-step-4: clamp(1.1875rem,1.12rem + 0.33vw,1.375rem);
  --size-step-3: clamp(1.4375rem,1.33rem + 0.54vw,1.75rem);
  --size-step-2: clamp(1.6875rem,1.51rem + 0.87vw,2.1875rem);
  --size-step-1: clamp(2.0625rem,1.85rem + 1.09vw,2.6875rem);
  --gutter: var(--space-s-m);
  --border-radius: 0.75rem;
  --border-radius-inner: 0.5rem;
  --transition-base: 250ms ease;
  --transition-movement: 200ms linear;
  --transition-fade: 200ms ease;
  --transition-bounce: 500ms cubic-bezier(0.5,0.05,0.2,1.5);
  --wrapper-width: clamp(16rem,93vw,85rem) ;
  --custom-logo-max-width: 200px ;
}

/*-- [   END - root   ] ---*/
/*-- [   START - new   ] ---*/
/* Overlapping logo for desktop*/
/* Overlapping logo for tablet & mobile*/
/* Center Items Vertically */
.dp-vertical-align {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

@media screen and (max-width: 980px) {
  .reverse-columns {
    display: flex;
    flex-direction: column-reverse;
  }
}
/* Single Post Tweaks */
.single-post .et_pb_row {
  max-width: 1200px !important;
}

.dipi-post-section, .dipi-post-row {
  max-width: 1200px;
} /* Center Items Vertically */
.dp-vertical-align {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

@media screen and (max-width: 980px) {
  .reverse-columns {
    display: flex;
    flex-direction: column-reverse;
  }
}
/* Single Post Tweaks */
.single-post .et_pb_row {
  max-width: 1200px !important;
}

.dipi-post-section, .dipi-post-row {
  max-width: 1200px;
}

/*-- [   END - new   ] ---*/
/*-- [   START - imports   ] ---*/
/*--- [START - Base] ---*/
/* change color of text highlight */
::-moz-selection {
  color: var(--color-2);
  background: var(--color-1);
}

::selection {
  color: var(--color-2);
  background: var(--color-1);
}

/* Add this class to the Column to vertically center modules inside that column ("Equal Column Heights" option need to be enabled in that Row). */
.vertical-align {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

/* Add this class to the Row Settings to switch columns order on mobile */
@media (max-width: 980px) {
  .et_pb_row.reverse-columns-mobile {
    display: flex !important;
    flex-direction: column-reverse !important;
  }
  .et_pb_row.reverse-columns-mobile .et_pb_column:last-child,
  .et_pb_row.reverse-columns-mobile .et_pb_column.et-last-child {
    margin-bottom: 30px;
  }
  .et_pb_row.reverse-columns-mobile .et_pb_column:first-child {
    margin-bottom: 0;
    z-index: 10;
  }
}
@media (max-width: 479px) {
  .dlck-equal-height .et_pb_blurb_content {
    height: auto !important;
  }
}
/* hide top header on scroll ver 1 */
/* [ start Fixes ] */
.et_pb_text:not(:last-child) {
  margin-bottom: var(--space-l) !important;
}

/* fix Divi overflow */
#page-container {
  overflow: hidden;
}

@media all and (max-width: 980px) {
  html, body {
    overflow-x: hidden;
  }
  body {
    position: relative;
  }
}
/* Fix Divi Pixel logo on open mobile menu  */
@media screen and (max-width: 980px) {
  .logo_container {
    z-index: 99999999 !important;
    pointer-events: none;
  }
}
/*set the Divi menu dropdown auto width*/
@media only screen and (min-width: 981px) {
  .nav li ul {
    width: -webkit-fit-content;
    width: -moz-fit-content;
    width: fit-content;
    display: flex;
    flex-direction: column;
  }
  .nav li li {
    white-space: nowrap;
  }
  .nav li li a {
    width: auto !important;
  }
}
/* [ end Fixes ] */
/*-- [START - Custom styled text] ---*/
/* Top line */
.custom-styled-text-line:before {
  display: block;
  content: "";
  background: var(--color-1);
  height: 3px;
  width: 55px;
  margin-bottom: 20px;
}

/* Highlighted Link Animation Effect */
.custom-styled-text a:link {
  text-decoration: none;
  color: var(--color-1);
  background-image: linear-gradient(var(--color-1), var(--color-1)), linear-gradient(var(--color-3), var(--color-3));
  background-position: 0% 100%;
  background-repeat: no-repeat;
  background-size: 0% 2px, 100% 2px;
  transition: background-size 0.16s;
  position: relative;
}

.custom-styled-text a:link:hover,
.custom-styled-text a:link:focus {
  background-size: 100% 2px, 100% 100%;
  color: var(--color-2);
}

/*-- Font sizes ---*/
body .custom-styled-text {
  font-size: var(--size-base) !important;
  font-weight: 400;
  line-height: 1.6;
  color: var(--color-5);
}

.custom-styled-text :is(ul, ol) {
  font-size: calc(var(--size-base) * 0.85) !important;
}

.custom-styled-text h1 {
  font-size: var(--size-step-1);
}

.custom-styled-text h2 {
  font-size: var(--size-step-2);
}

.custom-styled-text h3 {
  font-size: var(--size-step-3);
  line-height: 1.2;
}

.custom-styled-text h4 {
  font-size: var(--size-step-4);
}

.custom-styled-text h5 {
  font-size: var(--size-step-5);
}

.custom-styled-text h6 {
  font-size: var(--size-step-6);
}

.custom-styled-text :is(h1, h2, h3, h4, h5, h6) {
  font-weight: 700;
  line-height: 1.2;
}

body #page-container .custom-styled-text :is(h1, h2, h3, h4, h5, h6):not(:last-child) {
  margin: 0px 0 var(--space-s) 0 !important;
  padding-bottom: 0 !important;
  padding: 0;
  text-wrap: balance;
}

/* body .custom-styled-text p:not(:last-child) {
  margin-top: 20px !important;
}

body .custom-styled-text p {
  margin-bottom: 0px;
} */
/*-- lists ---*/
.custom-styled-text :is(p + ul, p + ol) {
  margin-top: var(--space-s);
}

.custom-styled-text ul {
  list-style-type: none !important;
  list-style-position: inside;
  padding-left: calc(2em + 14px) !important;
  padding-bottom: 0em;
}

.custom-styled-text ul ul {
  margin: var(--space-2xs) 0 0;
}

.custom-styled-text ul > li {
  padding: 5.5px 0;
}

.custom-styled-text ul > li:before {
  content: "\e052" !important;
  color: var(--color-1);
  font-family: "ETMODULES" !important;
  margin-right: 14px !important;
  margin-left: -32px !important;
  font-size: 1.2em !important;
  padding: 5.5px 0 !important;
  position: relative;
  top: 4px;
}

.custom-styled-text ol {
  margin-top: var(--space-s);
  list-style-position: inside;
  padding-left: 27px !important;
  counter-reset: item;
  padding-bottom: 0em;
}

.custom-styled-text ol > li {
  margin: 0;
  padding: 5.5px 0 5.5px 1.2em;
  text-indent: -1.5em;
  list-style-type: none;
  counter-increment: item;
}

.custom-styled-text ol > li:before {
  display: inline-block;
  width: 1em;
  font-weight: bold;
  text-align: right;
  content: counter(item) ".";
  color: var(--color-1);
  margin-right: 18px !important;
  margin-left: -10px !important;
  padding: 3px 0 !important;
  top: 4px;
}

body .custom-styled-text ol > li > ul > li {
  text-indent: 0.2em;
}

.custom-styled-text ol ul {
  margin: var(--space-3xs) 0 0;
}

.custom-styled-text ol ul li {
  padding: 3px 0;
}

.custom-styled-text ol ul li:before {
  margin-right: 15px !important;
  margin-left: -43px !important;
}

@media (max-width: 49em) {
  .custom-styled-text a, .custom-styled-text > * {
    word-wrap: break-word;
    -webkit-hyphens: auto;
            hyphens: auto;
    overflow-wrap: break-word;
    word-break: break-word;
  }
}
/* legal */
.legal.custom-styled-text {
  font-size: calc(var(--size-base) * 0.85) !important;
}

.legal.custom-styled-text :is(ul, ol) {
  font-size: calc(var(--size-base) * 0.75) !important;
}

.legal.custom-styled-text h1 {
  font-size: calc(var(--size-step-1) * 0.75);
}

.legal.custom-styled-text h2 {
  font-size: calc(var(--size-step-2) * 0.75);
  padding-top: var(--space-xl) !important;
}

.legal.custom-styled-text h3 {
  font-size: calc(var(--size-step-3) * 0.75);
  padding-top: var(--space-l) !important;
}

.legal.custom-styled-text h4 {
  font-size: calc(var(--size-step-4) * 0.75);
}

.legal.custom-styled-text h5 {
  font-size: calc(var(--size-step-5) * 0.75);
}

.legal.custom-styled-text h6 {
  font-size: calc(var(--size-step-6) * 0.75);
}

.legal.custom-styled-text h2:before {
  display: block;
  content: "";
  background: var(--color-1);
  height: 3px;
  width: 55px;
  margin-bottom: 20px;
}

.legal.custom-styled-text ul {
  padding-left: var(--space-xl) !important;
}

.legal.custom-styled-text ul > li:before {
  content: "\e052" !important;
  color: var(--color-1);
  font-family: "ETMODULES" !important;
  margin-right: 14px !important;
  margin-left: -32px !important;
  font-size: 1.2em !important;
  padding: 5.5px 0 !important;
  position: relative;
  top: 4px;
}

.legal.custom-styled-text ol,
.legal.custom-styled-text ul {
  margin: var(--space-2xs) 0 0;
}

/*-- [   END - imports   ] ---*/
#footer-bottom .container {
  z-index: 2 !important;
}

body.et_cover_background:before {
  content: "";
  position: fixed;
  width: 100%;
  height: 100%;
  background: rgba(66, 63, 61, 0.7);
  -webkit-backdrop-filter: contrast(2);
          backdrop-filter: contrast(2);
}

body #main-footer {
  background-color: unset;
}

.jan-header {
  -webkit-clip-path: polygon(0 0, 100% 0, 100% 80%, 0 100%);
          clip-path: polygon(0 0, 100% 0, 100% 80%, 0 100%);
}
